<?xml version="1.0" encoding="UTF-8"?>
<queryMap desc = "精整基础信息">

 <query id = "FrmTqnqc17.DoAddTqnqc17" desc = "新增"> 
   insert into tqnqc17
  (rec_creator,
   rec_create_time,
   factory_div,
   unit_code,
   billet_origin,
   ingot_name,
   steel_type_code,
   non_length,
   hot_treat_method,
   suface_state,
   jiarelu,
   rechuli,
   rezha,
   dinchi,
   bapi,
   quliao,
   zsunshi,
   chencailv,
   alloy_bak1,
   alloy_bak2,
   TKSUNSHI,
   LZSUNSHI,
   FP,
   rp_num)
values
  ('#REC_CREATOR#',
   to_char(sysdate,'yyyy-mm-dd hh24:mi:ss'),
   '#FACTORY_DIV#',
   '#UNIT_CODE#',
   '#BILLET_ORIGIN#',
   '#INGOT_NAME#',
   '#STEEL_TYPE_CODE#',
   '#NON_LENGTH#',
   '#HOT_TREAT_METHOD#',
   '#SUFACE_STATE#',
   '#JIARELU#',
   '#RECHULI#',
   '#REZHA#',
   '#DINCHI#',
   '#BAPI#',
   '#QULIAO#',
   '#ZSUNSHI#',
   '#CHENCAILV#',
   '#ALLOY_BAK1#',
   '#ALLOY_BAK2#',
   '#TKSUNSHI#',
   '#LZSUNSHI#',
    '#FP#',
   '#RP_NUM#')
 </query>
 
 <query id = "FrmTqnqc17.doSave" desc = "保存">
		 update tqnqc17
		   set 
		       rec_revisor      = ?,
		       rec_revise_time  = to_char(sysdate,'yyyy-mm-dd hh24:mi:ss'),
		       factory_div      = ?,
		       unit_code        = ?,
		       billet_origin    = ?,
		       ingot_name       = ?,
		       steel_type_code  = ?,
		       non_length       = ?,
		       hot_treat_method = ?,
		       suface_state     = ?,
		       jiarelu          = ?,
		       rechuli          = ?,
		       rezha            = ?,
		       dinchi           = ?,
		       bapi             = ?,
		       quliao           = ?,
		       zsunshi          = ?,
		       chencailv        = ?,
		       alloy_bak1       = ?,
		       alloy_bak2       = ?,
		       tksunshi    = ?,
		       lzsunshi    = ?,
		       fp    = ?
		 where  rp_num           = ?
 </query>
 
  <query id = "FrmTqnqc17.doDelete" desc = "删除">
  delete from tqnqc17 where RP_NUM =? 
 </query>
 
</queryMap>